Page MenuHomePhabricator

Change the Pageview API's RESTBase docs for the top endpoint
Closed, ResolvedPublic

Description

The documentation in:
https://wikimedia.org/api/rest_v1/?doc#!/Pageviews_data/get_metrics_pageviews_top_project_access_year_month_day
is a bit confusing in the fields month and day, because it mentions the option all-days (for days parameter) in the month and year parameters description. And it mentions the option all-months (for the month param) in the year param description.
The description for month and day parameters should be sufficient and exhaustive.

Event Timeline

mforns created this task.Dec 1 2015, 9:13 PM
mforns raised the priority of this task from to Needs Triage.
mforns updated the task description. (Show Details)
mforns added a project: Analytics-Backlog.
mforns added a subscriber: mforns.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 1 2015, 9:13 PM

@mforns, we should remove references to all-days and all-months entirely.

The top articles for a month is not available because there is no optimal way to calculate it. Until the data is available, I think it's best to leave it out of the documentation. A separate task {ref} is being logged to calculate monthly tops.

Milimetric triaged this task as High priority.Dec 3 2015, 6:20 PM
Milimetric moved this task from Incoming to Prioritized on the Analytics-Backlog board.
Milimetric set Security to None.
Milimetric lowered the priority of this task from High to Normal.Mar 3 2016, 6:08 PM
Milimetric edited projects, added Analytics-Kanban; removed Analytics.
Nuria closed this task as Resolved.Apr 1 2016, 8:43 PM